schemaVersion: 1.0
instance:
  type: "nevisproxy"
  name: "default"
  directory: "/var/opt/nevisproxy/default"
  pid: "file:///var/opt/nevisproxy/default/run/navajo.pid"
  source:
    url: "/nevisadmin/#/projects/DEFAULT-ADN-AGOV-ADMIN-PROJECT/patterns/bd83dfbd467e8211ffe71d28"
    projectKey: "DEFAULT-ADN-AGOV-ADMIN-PROJECT"
    patternId: "bd83dfbd467e8211ffe71d28"
    patternClass: "ch.nevis.admin.v4.plugin.nevisproxy.patterns.NevisProxyDeployable"
  resources:
    ports:
    - "0.0.0.0:11080"
    - "0.0.0.0:8443"
    - "0.0.0.0:8443"
  control:
    start: "systemctl restart nevisproxy@default"
    stop: "systemctl stop nevisproxy@default"
    status: "/var/opt/nevisproxy/default/run/status.sh"
